%function img=loadimage(individual,pose)
%
%   Read and resize an image from the AT&T database. The database
%   (directory att_faces) must be in the same directory as this file.
%
%   Parameters
%       individual  number of the individual (from 1 to 40)
%       pose        number of the pose (from 1 to 10)
%   Returned value
%       img         loaded image (as an array of UINT8)
%
%   Author: Tron Roberto

function img=loadimage(individual,pose)
if(individual>0 & individual<42 & fix(individual)==individual & pose>0 & pose<11 & fix(pose)==pose)
    img=imread(['.' filesep 'att_faces' filesep 's' num2str(individual) filesep num2str(pose) '.pgm']);
    img=imresize(img,0.5,'nearest');
else
    error('Unknown image: individual must be an integer from 1 to 40 (included) and pose must be an integer from 1 to 10 (included)');
end
